P4_END_CODE(3)

NAME
p4_end_code - END-CODE ( "name" -- )

SYNOPSIS

#include <pfe/tools-ext.h>

FCode p4_end_code(---);

DESCRIPTION

call PREVIOUS and add PROC LEAVE assembler snippet as needed for the architecture - usually includes bits to "return from subroutine". Remember that not all architectures are support and PFE usually does only do variants of call-threading with a separate loop for the inner interpreter that does "call into subroutine".

Some forth implementations do "jump into routine" and the PROC LEAVE part would do "jump to next routine" also known as next-threading. The sbr-call-threading is usually similar to the native subroutine-coding of the host operating system. See CODE

On some machine types, this word is NOT DEFINED!

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>